Vulnerability CVE-2018-11292


Published: 2018-09-20

Description:
In Snapdragon (Automobile, Mobile, Wear) in version MDM9206, MDM9607, MDM9640, MDM9650, MSM8909W, MSM8996AU, QCA6574AU, QCA6584, SD 210/SD 212/SD 205, SD 410/12, SD 425, SD 427, SD 430, SD 435, SD 450, SD 615/16/SD 415, SD 625, SD 650/52, SD 820A, SDM429, SDM439, SDM630, SDM632, SDM636, SDM660, Snapdragon_High_Med_2016, lack of input validation in WLANWMI command handlers can lead to integer & heap overflows.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:L/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.2/10
10/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Qualcomm -> Sd427 firmware 
Qualcomm -> Mdm9206 firmware 
Qualcomm -> Sd430 firmware 
Qualcomm -> Mdm9607 firmware 
Qualcomm -> Sd450 firmware 
Qualcomm -> Mdm9640 firmware 
Qualcomm -> Sd615 firmware 
Qualcomm -> Mdm9650 firmware 
Qualcomm -> Sd616 firmware 
Qualcomm -> Msm8909w firmware 
Qualcomm -> Sd625 firmware 
Qualcomm -> Msm8996au firmware 
Qualcomm -> Sd650 firmware 
Qualcomm -> Qca6574au firmware 
Qualcomm -> Sd652 firmware 
Qualcomm -> Qca6584 firmware 
Qualcomm -> Sd820a firmware 
Qualcomm -> Sd205 firmware 
Qualcomm -> Sdm429 firmware 
Qualcomm -> Sd210 firmware 
Qualcomm -> Sdm439 firmware 
Qualcomm -> Sd212 firmware 
Qualcomm -> Sdm630 firmware 
Qualcomm -> Sd410 firmware 
Qualcomm -> Sdm632 firmware 
Qualcomm -> Sd412 firmware 
Qualcomm -> Sdm636 firmware 
Qualcomm -> Sd415 firmware 
Qualcomm -> Sdm660 firmware 
Qualcomm -> Sd425 firmware 

 References:
http://support.blackberry.com/kb/articleDetail?language=en_US&articleNumber=000051618
https://source.android.com/security/bulletin/2018-09-01#qualcomm-closed-source-components
https://www.qualcomm.com/company/product-security/bulletins

Copyright 2022, cxsecurity.com

 

Back to Top